Subject: Re: [PATCH] Do not inline putprops function

From: "M. Mohan Kumar" <[email-masked]>
Date: Tue, 23 Jun 2009 18:25:34 +0530

On Wed, Jun 17, 2009 at 10:40:07AM -0400, Neil Horman wrote:
 
> > send objdump of fs2dt.o with and without this assignment.
> > 
> That would be a fine thing to do, and I'd be happy to compare them.  My though
> regarding the comparison of the device tree on a good and bad run was meant to
> expidite what change in the assembly we'd be looking for.  If its the kdump
> kernel boot thats hanging, Its likely hanging on something in the device tree,
> as thats whats being manipulated by this code.  So I figure that understanding
> whats changed there will point us toward what change in the assembly might be
> responsible for the hang.  The assmebly's going to be signficantly different
> (lots of optimization might be lost from no longer inlining a function), so
> anything that helps us narrow down whats changed will be good

I am attaching the objdumps of fs2dt with and without dt_len.

Regards,
M. Mohan Kumar.